=== debian/control ===
Source: ros-noetic-velodyne-laserscan
Section: misc
Priority: optional
Maintainer: Josh Whitley <josh.whitley@autoware.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslaunch <!nocheck>, ros-noetic-roslint, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs
Homepage: http://ros.org/wiki/velodyne_laserscan
Standards-Version: 3.9.2

Package: ros-noetic-velodyne-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-sensor-msgs
Description: Extract a single ring of a Velodyne PointCloud2 and publish it as a LaserScan message
